--- title: "Delete Row" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/delete-row/ description: "This API enables you to delete a particular record or a row of a table in the Data Store." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Delete a Row in a Table ### Description This API enables you to delete a particular record or a row of a table in the [Data Store](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/introduction), by referring to the table's unique ID or name. The row is referred by its ROWID. ### Request Details #### Request URL `DELETE` {api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/row/{row_id} - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **tableIdentifier** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/tables/#create-a-new-table) of the table or table name - **row_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/records/) of the row #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.tables.rows.DELETE > **Note:** This operation can also be executed with Catalyst user authentication permissions using Catalyst SDKs. Refer to the [Catalyst API Prerequisites section](https://docs.catalyst.zoho.com/en/api/introduction/overview-and-prerequisites/#prerequisites) for details. ### Response Details The response will contain the metadata of the row that was deleted such as its `ROWID` and `CREATEDTIME`, and the column key names and values in the row. **Sample Request** ```bash curl -X DELETE \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/EmpDetails/row/3376000000171021 \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "CREATORID": 56000000002003, "MODIFIEDTIME": "2019-02-26 11:18:49", "Department_ID": "IT809" "Department_Name": "Accounting", "Customer_Name": "Jason Pierre", "CREATEDTIME": "2019-02-26 11:18:49", "ROWID": 3376000000171021, "doubleDataType": null } } ``` ### SDK Documentation [Delete a Row- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/data-store/delete-row) [Delete a Row- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/data-store/delete-row) [Delete a Row- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/data-store/delete-row) [Delete a Row- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/data-store/delete-row/)